﻿/* Style sheet created by: Mary Silvertooth, June 5, 2019 */

/* Style for body specifies a background color */
* { box-sizing: border-box; }
body {font-family: Verdana, Arial, sans-serif;
      background-color: #404040;
}	
/* Style to create a fluid image*/
img{
	max-width: 100%;
}

/* Styles for Mobile Layout */

/* Style for the container centers the page and specifies the width */
 #container {
      width: 95%;
	  margin: auto;
	  }

/* Style for header specifies top and bottom margins, background color, rounded border, shadow, and alignment */
header img { height: auto;
max-width: 100%;
  display: inline;}
  header {margin: none;
		  padding: 1%;}
nav{font-weight:bold;
    text-align:center;
	padding:2%;
	width:100%;
	background-color: #808080;
	border-top: solid;
	border-bottom: solid;
	border-color: #00ccff;}
	nav li {display:inline;
	margin: none;}
    nav a{text-decoration:none;
	  text-align:center;
	  font-weight:bold;
	  padding-left: 2px;
	  padding-right: 20px;
	  margin-bottom;}
nav ul{list-style-type: none;
	   text-align: center;
       font-size:1em;
	   margin: none;
	   padding: .05%;}
	

/* Style displays the mobile class */
.mobile {
	display: inline;
}

/* Style hides the desktop class*/
.desktop{
	display: none;
}

.button{
  background-color: #9ACD32;
  border: none;
  color: white;
  padding: 10px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
 }
 
.button3{border-radius: 8px; /*Rounded corners*/}
.button2{border-radius: 8px; /*Rounded corners*/}
.button1{border-radius: 8px; /*Rounded corners*/}

.button4{
  background-color: #2E2EFE;
  border: none;
  color: white;
  padding: 10px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
 }
 
 .button4{border-radius: 8px; /*Rounded corners*/}


/* Style for the main element specifies a block display, test properties, margins, padding, rounded corners, and border properties */
main {
	display: block;
	font-family: Verdana, Arial, sans-serif;
	font-size: 1em;
	margin-top: 0.5em;
	padding: 1em;
	border-radius: 2em 0 2em 0;
	background-color: #FFFFFF;
	opacity: 0.85;
}

/* Style for anchor elements within the main element */
main a {
	background-color: #9D9D93;
	border-color: #000000;
	color: #FFFFFF;
	font-weight: bold;
	padding: 0.5em;
	text-decoration: none;
}

/* Style for footer specifies font size, text alignment, and top margin */
footer {
	font-size: .70em;
	text-align: center;
	margin-top: 2em;
	color: #FFFFFF;
}

/* style for anchor elements within the footer */
footer a {
	color: #FFFFFF;
	text-decoration: none;
}

/* Style hides the tablet class */
.tablet {
	display: none;
}

/* Style rule specifies */
.equip {
	display: none;
}

/*style for aside element */
	aside {
		font-style: italic;
}
	
/*style rule for input, select, and textarea form elements */
	input, select, textarea {
		display: block;
		margin-bottom: 1em;
}
	
/* style rule for label element */
	label {
		display: block;
}
	
/* style rule for unordered list within a form */
	form ul {
		list-style-type: none;
	}
	
/* style rule for chkbx class */
	.chkbx {
		display: inline-block;
	}
	
/* Media query for tablet viewport targets screen size with a minimum width of 660px. */
.video {
	padding: 1em;
	text-align: center;
}

/* Style rule for video element */
video {
	border: 0.5em ridge #FFFFFF;
	height: auto;
	max-width: 100%
}

/* Style rule for the copyright div */
#copyright {
	float: left;
	margin-top: 2em;
	width: 80%;
}

/* Style rule for social div */
#social {
	float: right;
	width: 20%;
}

/* Style rule for social media icons */
#social img {
	padding: 0.5em;	
}

	

@media only screen and (min-width: 660px) {
	
/* Style specifies a horizontal display for navigation links */
	nav li {
		display: inline;
		float: left;
		margin-left: 1%;
		margin-right: 1%;
		padding-left: 0;
		padding-right: 0;
		width: 18%;
		white-space: nowrap;
		border-radius: 0;
		background-color: transparent;
}
	
/* Style specifies clear and top margin propertiesfor the main element */
	main {
		clear: left;
		margin-top: -0.3em;
		border-radius: 0;
		overflow: auto;
}
	
#mainimg img { max-width: 100%;
		   height: auto;
		  display: inline;
		  padding: 2%;
		  margin-left: 20%;}
/* Style specifies to hide the moble class */
	.mobile {
		display: none;
}
	
/* Style specifies to display the desktop class */
	.desktop {
		display: inline;
}
	
/* Style specifies a display, float, and padding for the equip class */
	.equip {
		display: inline;
		float: left;
		margin-right: 1.5em;
}
	
/* Style specifies a display, list style position, and bottom margin for the items class */
	.items {
		display: block;
		list-style-position: inside;
}
	
/*style specifies to display the tablet class*/
	.tablet {
		display: block;
		margin-top: -3em;
		margin-bottom: -1em;
}
	
/* Style specifies a font weight and top margin for description list terms */ 
	dt {
		font-weight: bold;
		margin-top: 0.7em;
}
	
	/* Style for h1 element */
	h1 {
		text-align: center;
}	

/* style for images within the figure element*/
figure img {
	background-color: #1D1D1C;
	display: inline;
	height: 8em;
	width: 28%;
	margin: 1%;
	padding: 1%;
}

/* style for anchor elements within the figure element */
figure a {
	background-color: transparent;
	padding: 0;
	text-decoration: none;
}

/* style specifies bottom padding for the section element */
section {
		padding-bottom: 3em;
}

/* style for h1 element within the section element */
section h1 { 
	text-align: left;
}

/*style for anchor element within the section element */
section a {
	background-color: transparent;
	color: #1D1D1C;
	font-weight: normal;
	padding: 0;
	text-decoration: underline;
}

/* Style for contact class*/
.contact {
	background-color: transparent;
	color: #1D1D1C;
	padding: 0;
	text-decoration: underline;
}

/* style for article element */
article {
	background-color: #C1D9CA;
	float: left;
	margin: 0.5%;
	padding: 0.5%;
	text-align: center;
	width: 31%;
}

/* style for image element contained within the main article element */
main article img {
	border: solid 0.1em #1D1D1C;
	margin-left: auto;
	margin-right: auto;
}

/* style for paragraph element contained within the main article element */
main article p {
	color: #000000;
	margin-top: 2%;
	padding: 1%;
	text-align: left;
}

/* style for unordered list element contained within the main article element */
main article ul {
	text-align: left;
}

/* style for aside element */
aside {
	background-color: #FFFFFF;
	border-radius: 0 5em 5em 5em;
	box-shadow: 1em 1em 1em #4C4F4D;
	padding: 1.5em;
	margin: 1em;
}

/* Style for table element */
table {
	border: 0.1em solid #000000;
	border-collapse: collapse;
	margin-left: auto;
	margin-right: auto;
	width: 100%;
}

/*Style specifies border and padding for th and td elements */
th, td {
	border: 0.1em solid #000000;
	padding: 1em;
}

/* Style for th element */
th {
	background-color: #1D1D1C;
	color: #FFFFFF;
}

/* Style for caption element */
caption {
	font-size: 1.5em;
	font-weight: bold;
	padding-bottom: 0.5em;
}
	
	/* Style rule for label element */
	label {
		float: left;
		padding-right: 0.5em;
		text-align: right;
		width: 10em;
}
	
/* style rule for btn class */
.btn {
	margin-left: 12em;
}

/* Style rule for form unordered list element */
form ul {
	margin-left: 2em;
}

}
	
/* Media query for desktop viewport targets screens with a mininum width of 830px. */

@media only screen and (min-width: 830px) {
	
/* Style specifies a width for container */
	#container {
		background-color: #1D1D1C;
}
	
/* Style to left align header */
	header {
	text-align: left;}

nav{font-weight:bold;
    text-align:center;
	padding:1em;
	width:100%	;
	background-color: #808080;
	border-top: solid;
	border-bottom: solid;
	border-color: #00ccff;}
	nav li{display:inline;}
    nav a{text-decoration:none;
	  text-align:center;
	  font-weight:bold;
	  padding-left: 2px;
	  padding-right: 20px;
	  margin-bottom:1.5em;}
	
/*Style specifies border, box shadow, and margins for the main element */
 main {
		 background-color: #1D1D1C;
}

 /* Style for paragraph element contained within the main article element */
 main p {
		color: #FFFFFF;
		margin-left: auto;
		margin-right: auto;
		width: 90%;
}
		
/* style applies color to h1 element */
	h1 {
		color: #FFFFFF;
}
	 	
/* style applies height and opacity to images within figure element */
figure img {
		height: 15em;
		opacity: 0.7;
}
	 
 /* Style removes transparency on hover */
figure img:hover {
		 opacity: 1;
}
 
/* Style specifies a gradient for the body element */
	
/* style specifies a background color, margin, and padding for footer element */
footer {
	background-color: #2A2A2A;
	margin-top: -0.2em;
	padding-top: 1%;
	overflow: auto;
}
		
/* style specifies color and left margin for the section element */
section {
		color: #FFFFFF;
		margin-left: 1em;
		padding-bottom: 5em;
}

/* style for anchor element within the section element */
section a {
	color: #FFFFFF;
}

/* style for paragraph within the section element */
section p {
	margin-left: 0;
}

/* style for main h2 element */
main h2 {
	color: #FFFFFF;
}

/* style for contact class */
.contact {
	color: #FFFFFF;
}

/*style for main article h2 element */
main article h2 {
	color: #000000;
}

/* Style for table element */
table {
	background-color: #FFFFFF;
	width: 85%;
}

/* Style for caption element */
caption {
	color: #FFFFFF;	
}

/* style for positon for form element */
form {
	background-color: #FFFFFF;
	padding: 1em;
}

/* style rule for paragraph with form element */
form p {
color: #000000;
}

}



